summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2020-10-12 20:32:03 +0200
committerAlexis Ballier <aballier@gentoo.org>2020-10-12 21:08:37 +0200
commit3268a5366323ad9e9f9d853a9623192dece896bf (patch)
tree96673131cbfa2689ad223483e6eedd88f60f1279
parentdev-ros/nav_core: Bump to 1.17.1. (diff)
downloadgentoo-3268a5366323ad9e9f9d853a9623192dece896bf.tar.gz
gentoo-3268a5366323ad9e9f9d853a9623192dece896bf.tar.bz2
gentoo-3268a5366323ad9e9f9d853a9623192dece896bf.zip
dev-ros/navfn: Bump to 1.17.1.
Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
-rw-r--r--dev-ros/navfn/Manifest1
-rw-r--r--dev-ros/navfn/navfn-1.17.1.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-ros/navfn/Manifest b/dev-ros/navfn/Manifest
index a4fee98c8c5..494e2eda780 100644
--- a/dev-ros/navfn/Manifest
+++ b/dev-ros/navfn/Manifest
@@ -1 +1,2 @@
DIST navigation-1.17.0.tar.gz 347660 BLAKE2B 8345dccf8ac5e24d1017631bb621ebaa472cc492d6361f29938501a149555771e03a6a46e16fdcc508bbe5c206ead80e9b79e9168b873685fca50a78ea7a7e13 SHA512 a536c8826bd88151ff8f51f83661282f8ccf1b19872bd91ed32987ef372797b94489380262e79ee2560ecb4d9e290c5b4f8d52c17721e2a41126eaea909bce26
+DIST navigation-1.17.1.tar.gz 349192 BLAKE2B 4cb946a296ab53d7196a70c66cc1dda0cf62f5f279fe020ca7c39781ecb5402af6addcd6164ab6e0a9bcfe3ba26e42f647546280f03b572202f0f4df8d6ed3cf SHA512 23178adaef9b720c644f621c67ed579be312101e70a7d12b527164c5cc55286982c99149a521a76c6dda05248e859435e51f9a0f09e582b89aed3b7c2173cfaa
diff --git a/dev-ros/navfn/navfn-1.17.1.ebuild b/dev-ros/navfn/navfn-1.17.1.ebuild
new file mode 100644
index 00000000000..a504b8149f8
--- /dev/null
+++ b/dev-ros/navfn/navfn-1.17.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+ROS_REPO_URI="https://github.com/ros-planning/navigation"
+ROS_SUBDIR=${PN}
+KEYWORDS="~amd64 ~arm"
+CATKIN_MESSAGES_TRANSITIVE_DEPS="dev-ros/std_msgs dev-ros/geometry_msgs dev-ros/nav_msgs"
+CATKIN_HAS_MESSAGES=yes
+
+inherit ros-catkin
+
+DESCRIPTION="Fast interpolated navigation function for creating plans for a mobile base"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ >=dev-ros/costmap_2d-1.16
+ dev-ros/nav_core
+ dev-ros/pluginlib
+ dev-ros/rosconsole
+ dev-ros/roscpp
+ dev-ros/sensor_msgs[${CATKIN_MESSAGES_CXX_USEDEP}]
+ dev-ros/tf2_ros
+ dev-ros/visualization_msgs[${CATKIN_MESSAGES_CXX_USEDEP}]
+
+ dev-cpp/eigen:3
+ x11-libs/fltk
+ media-libs/netpbm
+ dev-libs/boost:=[threads]
+ dev-libs/console_bridge:=
+"
+DEPEND="${RDEPEND}
+ test? ( dev-cpp/gtest )
+ dev-ros/cmake_modules"
+
+PATCHES=( "${FILESDIR}/pgm_h_location.patch" "${FILESDIR}/tests.patch" )
+
+src_prepare() {
+ ros-catkin_src_prepare
+ sed -e "s#@PGM_PATH@#\"${S}/test/willow_costmap.pgm\"#" -i test/path_calc_test.cpp || die
+}